base/urls.py
from django.urls import path
from . import views

app_name = 'base'

urlpatterns = [
    path('', views.index, name='base'),
    # path('/masker', views.masker, name='masker'),
    # path('/sanitizer', views.sanitizer, name='sanitizer'),
    # path('/faceshield', views.faceshield, name='faceshield'),
    path('/add', views.tambahin, name='add'),
    path('/reduce', views.kurangin, name='reduce'),
    path('login/', views.login_tk2, name='login'),
    path('logout/', views.logout_tk2, name='logout'),
    path('signup/', views.signup, name='signup'),

]

pandenemy2/urls.py
from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('base.urls')),
    path('', include('postingan.urls')),
    path('semangatpage/', include('semangatpage.urls')),
    path('feedback/', include('feedback.urls')),
    path('profile/', include('profilepage.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

semangatpage/urls.py
from django.urls import include, path, re_path
from . import views

app_name = 'semangatpage'

urlpatterns = [
    path('', views.semangat, name='semangat'),
    path('addsemangat/', views.add_semangat, name='addsemangat'),
    path('findauthor/', views.find_author, name='findauthor'),
    path('findauthor/semangatDB/',views.datajson, name='datajson'),
]

semangatpage/models.py
from django.db import models

class kata(models.Model):
    katasemangat = models.TextField()
    author = models.CharField(max_length = 50, null=True)

    def __str__(self):
        return self.katasemangat

semangatpage/forms.py
from django import forms
from .models import kata

class kataForm(forms.ModelForm):
    class Meta:
        model = kata
        fields = '__all__'

        widgets = {
            'katasemangat' : forms.Textarea(attrs={'class': 'form-control', 'placeholder' : 'Kata Semangat'}),
            'author' : forms.TextInput(attrs={'class': 'form-control', 'placeholder' : 'Penulis'})
        }

semangatpage/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect, JsonResponse
from .forms import kataForm
from .models import kata
from django.contrib.auth.decorators import login_required
from django.core import serializers
import json

def semangat(request):
    semangat = kata.objects.all()
    return render(request, 'semangatpage/semangat.html', {'semangat' : semangat})

@login_required
def add_semangat(request):
    if request.method == 'POST':
        form = kataForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/semangatpage/')    
    else:
        form = kataForm()
        return render(request, 'semangatpage/addsemangat.html', {'form': form})

def datajson(request, keyword=""):
    arg = request.GET['keyword']
    daftarkatasemangat = kata.objects.filter(author__contains=arg)
    katajson = serializers.serialize("json", daftarkatasemangat)
    data = json.loads(katajson)
    return JsonResponse(data, safe=False)

def find_author(request):
    return render(request, 'semangatpage/findauthor.html')

semangatpage/templates/semangatpage/addsemangat.html
addsemangat.html
{% extends 'base/base.html' %}

{% block content %}

<div  class="form-group mx-auto" style="width: 70vw">
    <br>
    <h1 style="font-size: 55px;">Beri Semangat</h1>
    <br>
    <form method="POST" action="">
            {% csrf_token %}
            {{ form.katasemangat }}<br>
            {{ form.author }}
            <br>
            <a href="{% url 'semangatpage:semangat' %}" class="btn btn-primary active mx-auto" role="button" aria-pressed="true" style="background-color: #BC475D; padding: 9px 12px; font-size: 22px; font-weight: 700; border-radius: 8px;">Kembali</a> <button id="Kirim" type="submit" class="btn btn-primary" style="background-color: #72C3B3; padding: 9px 25px; font-size: 22px; font-weight: 700; border-radius: 8px;">Kirim</button>
    </form>
</div>

{% endblock content %}

semangatpage/templates/semangatpage/findauthor.html
{% extends 'base/base.html' %}

{% block content %}
<br><h3 style="text-align: center; color: white">Search Kata Semangat Berdasarkan Nama Penulis</h3><br>
<div style="text-align: center;">
    <input type="text" id="key" placeholder="Masukkan nama penulis">
</div>
<br>
<table class="table table-bordered mx-auto" style="width: 75%; color: white; text-align: center">
    <thead>
    <tr>
        <th>Kata Semangat</th>
        <th>Author</th>
    </tr>
    </thead>
    <tbody id="hasil_search">
    </tbody>
</table>
{% endblock content %}

{% block script %}
<script type="text/javascript">
    $("#key").keyup(function(){
        var isi = $("#key").val();
        var url_panggil = "semangatDB?keyword=" + isi;
        console.log(url_panggil)
        $.ajax({
            url: url_panggil,
            success: function(result){
                console.log(result);
                var obj_result = $("#hasil_search");
                obj_result.empty();

                for(i = 0; i < result.length; i++){
                    var kata_semangat = result[i].fields.katasemangat;
                    var penulis = result[i].fields.author;
                    obj_result.append("<tr> <td>" + kata_semangat + "</td>" + "<td>" + penulis + "</td>");
                }
            } 
       });
    });
</script>
{% endblock script %}

semangatpage/templates/semangatpage/semangat.html
{% extends 'base/base.html' %}

{% block content %}

{% load static %}
<!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    $(".btn").onclick(function(){
        $(this).css("background-color", "#1E3C75");
    });
    $(".btn").hover(function(){
        $(this).css("background-color", "#AD2828");
    });
</script>-->


<div class="container">
    <div class="row">
        <div class="col-lg-8 col-sm-12 col-xs-12">
            <h1 style="font-size: 60px; padding: 50px 0 0 0">Beri Semangat</h1>
            <p style="font-size: 20px; padding: 8px 0 0 0; text-align: justify;">Untuk teman-teman, keluarga dan orang di<br>sekeliling mu! Ayo bareng-bareng kita lewatin<br>masa sulit ini.</p>
            <a href="{% url 'semangatpage:findauthor' %}" id="kata">Klik disini untuk mencari kata semangat bersadarkan penulis</a>
        </div>
        <div class="col-lg-4 col-sm-12 col-xs-12">
            <br><br><br><br>
            <a href="{% url 'semangatpage:addsemangat' %}" class="btn btn-primary active" role="button" aria-pressed="true" style="background-color: #72C3B3; padding: 23px 49px; font-size: 35px; font-weight: 700; border-radius: 12px;">Tambah</a>
        </div>
    </div>
</div>

<br><br>
{% for form in semangat %}
{% if forloop.counter0|divisibleby:"3" %}
<div class="row row-cols-1 row-cols-md-3 post" style="padding: 5px 60px">
{% endif %}
    <div class="col mb-3">
        <div class="card" style="font-family: 'Montserrat', sans-serif; font-size: 18px; font-weight: 500; padding: 12px; border-radius: 20px; text-align: center">
            {{ form.katasemangat }}<br>
            {{ form.author }}
        </div>
    </div>
{% if forloop.counter|divisibleby:"3" %}
</div>
{% endif %}
{% endfor %}

{% endblock content %}